textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror6/fs_ladder03
{
	qer_editor_image textures/urban_terror6/fs_ladder03.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror6/fs_ladder03.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror6/flare001
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare001.jpg
            blendfunc gl_one gl_one
          }
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

models/mapobjects/defcon_tree/tree4
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree4.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_light/proto_lightred
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendfunc add
	}
	
}

textures/base_trim/proto_fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/wires01
{
    cull disable
    surfaceparm alphashadow
    deformvertexes autosprite2
    surfaceparm trans	
        {
                map textures/base_trim/wires01.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/liquids/clear_ripple2
{
		qer_editorimage textures/liquids/pool3d_3b.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	

		{ 
			map textures/liquids/pool3d_5b.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6b.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3b.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}

		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	

}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

textures/sfx/flame2
{
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/bbq/towertop
{
	qer_editor_image textures/bbq/towertop.tga
	qer_trans 0.40
	cull disable
	{
		map textures/bbq/towertop.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bbq/01_windowrail
{
	qer_editor_image textures/bbq/01_windowrail.tga
	qer_trans 0.40	
	surfaceparm nolightmap
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/bbq/01_windowrail.tga
		alphafunc ge128
	}
}

textures/bbq/bbqgate
{
	qer_editor_image textures/bbq/bbqgate.tga
	qer_trans 0.40
	cull disable
	{
		map textures/bbq/bbqgate.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_lights/lightbulb
{
    cull disable
    deformvertexes autosprite2
    surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/urban_lights/lightbulb.tga
		blendfunc add
		rgbgen identity
	}


}

textures/bbq/dirt05
{
	q3map_nonplanar 
	q3map_shadeangle 179
	{
		map textures/bbq/dirt05.tga
		rgbgen identity
	}

	{ 
		map $lightmap 
		blendfunc gl_dst_color gl_zero 
	} 
}

textures/bbq/tattered_cloth2
{
	qer_editor_image textures/bbq/tattered_cloth2.tga
	cull disable
	deformvertexes wave 50 sin 1 1 1 .2
	{
		map textures/bbq/tattered_cloth2.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/urbanterror/lamp/glass
{
	q3map_lightimage textures/sweetnutz/sn_casa_sky_mobb0b.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_lightsubdivide 32
	q3map_surfacelight 25000 

	{
	map models/mapobjects/urbanterror/lamp/glass2.tga
	}
	
}

textures/sweetnutz/sn_window1
{
	{	
		map textures/sweetnutz/sn_window1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}

	{
		map textures/sweetnutz/sn_window1.tga
   		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_byet/bladder_01
{
	qer_editorimage textures/ut_byet/bladder_01.tga
	cull none

	
	
	{
		map textures/ut_byet/bladder_01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/blines_01
{
	qer_editorimage textures/ut_byet/blines_01.tga
	cull none

	
	
	{
		map textures/ut_byet/blines_01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/blines_02
{
	qer_editorimage textures/ut_byet/blines_02.tga
	cull none

	
	
	{
		map textures/ut_byet/blines_02.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/bspiderweb
{
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformvertexes wave 10 sin 0 2 0 0.2
    {
        map textures/ut_byet/bspiderweb.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        rgbgen vertex
    }
}

textures/ut_byet/bpano1
{
	qer_editorimage textures/ut_byet/bpano1.tga
	cull none

	
	
	{
		map textures/ut_byet/bpano1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/bpano3
{
	qer_editorimage textures/ut_byet/bpano3.tga
	cull none

	
	
	{
		map textures/ut_byet/bpano3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/bpano4
{
	qer_editorimage textures/ut_byet/bpano4.tga
	cull none

	
	
	{
		map textures/ut_byet/bpano4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/lightbeam
{
	qer_editorimage textures/ut_byet/lightbeam.tga
      surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/ut_byet/lightbeam.tga
            blendfunc add
      }
 
}

textures/ut_byet/bmetal_bright
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/ut_byet/bmetal_bright.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ut_byet/bmetal_dark
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/ut_byet/bmetal_dark.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ut_byet/bbrkwindow_1
{
	qer_editorimage textures/ut_byet/bbrkwindow_1.tga
	cull none

	
	
	{
		map textures/ut_byet/bbrkwindow_1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/bbrkwindow_2
{
	qer_editorimage textures/ut_byet/bbrkwindow_2.tga
	cull none

	
	
	{
		map textures/ut_byet/bbrkwindow_2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/bbrkwindow_3
{
	qer_editorimage textures/ut_byet/bbrkwindow_3.tga
	cull none

	
	
	{
		map textures/ut_byet/bbrkwindow_3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_byet/fogsky
{
	q3map_lightimage textures/ut_byet/topfogsky.tga
	q3map_lightsubdivide 512 
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	
	q3map_sun	.8 .8 .6 60 255 100
	
	q3map_surfacelight 100


	qer_editorimage textures/ut_byet/fogskycloud.tga

	skyparms - 512 -

	{
		map textures/ut_byet/fogskycloud.tga
		tcmod scale 2 2
		tcmod scroll 0.01 0.0
	}
	{
		map textures/ut_byet/fogskycloud.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.02 0.0
	}


}

